---
Tournament:
  name: Eastern Ohio Regional Tournament
  short name: Eastern Ohio Regional
  location: Rocky River High School
  state: OH
  level: Regionals
  division: B
  year: 2025
  bids: 6
  start date: 2025-03-08
  end date: 2025-03-08
  awards date: 2025-03-08
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Codebusters
- name: Crime Busters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Entomology
- name: Experimental Design
- name: Fossils
- name: Helicopter
- name: Meteorology
- name: Metric Mastery
- name: Microbe Mission
- name: Mission Possible
- name: Optics
- name: Potions and Poisons
- name: Reach for the Stars
- name: Road Scholar
- name: Scrambler
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 24
  school: Hudson Middle School
  state: OH
  city: Hudson
- number: 25
  school: Hudson Middle School
  state: OH
  city: Hudson
- number: 30
  school: Seton Catholic School
  state: OH
  city: Hudson
- number: 26
  school: Nordonia Middle School
  state: OH
  city: Northfield
- number: 29
  school: Orrville Middle School
  state: OH
  city: Orrville
- number: 22
  school: Copley-Fairlawn Middle School
  state: OH
  city: Copley
- number: 28
  school: Orrville Middle School
  state: OH
  city: Orrville
- number: 32
  school: Saint Barnabas Catholic School
  state: OH
  city: Northfield
- number: 21
  school: Central Christian School
  city: Kidron
  state: OH
- number: 23
  school: Coshocton High School
  city: Coshocton
  state: OH
- number: 31
  school: Seton Catholic School
  state: OH
  city: Hudson
- number: 27
  school: Oakwood Middle School
  state: OH
Placings:
- team: 24
  event: Air Trajectory
  place: 1
- team: 24
  event: Anatomy and Physiology
  place: 1
- team: 24
  event: Codebusters
  place: 2
- team: 24
  event: Crime Busters
  place: 4
- team: 24
  event: Disease Detectives
  place: 1
- team: 24
  event: Dynamic Planet
  place: 1
- team: 24
  event: Ecology
  place: 1
- team: 24
  event: Entomology
  place: 1
- team: 24
  event: Experimental Design
  place: 1
- team: 24
  event: Fossils
  place: 1
- team: 24
  event: Helicopter
  place: 1
- team: 24
  event: Meteorology
  place: 1
- team: 24
  event: Metric Mastery
  place: 1
- team: 24
  event: Microbe Mission
  place: 1
- team: 24
  event: Mission Possible
  place: 4
- team: 24
  event: Optics
  place: 3
- team: 24
  event: Potions and Poisons
  place: 1
- team: 24
  event: Reach for the Stars
  place: 1
- team: 24
  event: Road Scholar
  place: 1
- team: 24
  event: Scrambler
  place: 1
- team: 24
  event: Tower
  place: 1
- team: 24
  event: Wind Power
  place: 2
- team: 24
  event: Write It Do It
  place: 2
- team: 25
  event: Air Trajectory
  place: 5
- team: 25
  event: Anatomy and Physiology
  place: 2
- team: 25
  event: Codebusters
  place: 3
- team: 25
  event: Crime Busters
  place: 1
- team: 25
  event: Disease Detectives
  place: 2
- team: 25
  event: Dynamic Planet
  place: 3
- team: 25
  event: Ecology
  place: 2
- team: 25
  event: Entomology
  place: 2
- team: 25
  event: Experimental Design
  place: 2
- team: 25
  event: Fossils
  place: 2
- team: 25
  event: Helicopter
  participated: false
- team: 25
  event: Meteorology
  place: 2
- team: 25
  event: Metric Mastery
  place: 3
- team: 25
  event: Microbe Mission
  place: 2
- team: 25
  event: Mission Possible
  place: 6
- team: 25
  event: Optics
  place: 2
- team: 25
  event: Potions and Poisons
  place: 2
- team: 25
  event: Reach for the Stars
  place: 2
- team: 25
  event: Road Scholar
  place: 2
- team: 25
  event: Scrambler
  place: 2
- team: 25
  event: Tower
  place: 4
- team: 25
  event: Wind Power
  place: 1
- team: 25
  event: Write It Do It
  place: 4
- team: 30
  event: Air Trajectory
  place: 7
- team: 30
  event: Anatomy and Physiology
  place: 3
- team: 30
  event: Codebusters
  place: 1
- team: 30
  event: Crime Busters
  place: 3
- team: 30
  event: Disease Detectives
  place: 3
- team: 30
  event: Dynamic Planet
  place: 2
- team: 30
  event: Ecology
  place: 5
- team: 30
  event: Entomology
  place: 6
- team: 30
  event: Experimental Design
  place: 3
- team: 30
  event: Fossils
  place: 6
- team: 30
  event: Helicopter
  place: 7
- team: 30
  event: Meteorology
  place: 3
- team: 30
  event: Metric Mastery
  place: 2
- team: 30
  event: Microbe Mission
  place: 3
- team: 30
  event: Mission Possible
  place: 3
- team: 30
  event: Optics
  place: 5
- team: 30
  event: Potions and Poisons
  place: 5
- team: 30
  event: Reach for the Stars
  place: 5
- team: 30
  event: Road Scholar
  place: 4
- team: 30
  event: Scrambler
  place: 7
- team: 30
  event: Tower
  place: 9
- team: 30
  event: Wind Power
  place: 4
- team: 30
  event: Write It Do It
  place: 3
- team: 26
  event: Air Trajectory
  place: 3
- team: 26
  event: Anatomy and Physiology
  place: 5
- team: 26
  event: Codebusters
  place: 4
- team: 26
  event: Crime Busters
  place: 5
- team: 26
  event: Disease Detectives
  place: 6
- team: 26
  event: Dynamic Planet
  place: 5
- team: 26
  event: Ecology
  place: 3
- team: 26
  event: Entomology
  place: 5
- team: 26
  event: Experimental Design
  place: 5
- team: 26
  event: Fossils
  place: 8
- team: 26
  event: Helicopter
  place: 2
- team: 26
  event: Meteorology
  place: 5
- team: 26
  event: Metric Mastery
  place: 6
- team: 26
  event: Microbe Mission
  place: 5
- team: 26
  event: Mission Possible
  place: 2
- team: 26
  event: Optics
  place: 1
- team: 26
  event: Potions and Poisons
  place: 8
- team: 26
  event: Reach for the Stars
  place: 3
- team: 26
  event: Road Scholar
  place: 6
- team: 26
  event: Scrambler
  place: 4
- team: 26
  event: Tower
  place: 5
- team: 26
  event: Wind Power
  place: 5
- team: 26
  event: Write It Do It
  place: 5
- team: 29
  event: Air Trajectory
  place: 2
- team: 29
  event: Anatomy and Physiology
  place: 8
- team: 29
  event: Codebusters
  place: 5
- team: 29
  event: Crime Busters
  place: 7
- team: 29
  event: Disease Detectives
  place: 4
- team: 29
  event: Dynamic Planet
  place: 4
- team: 29
  event: Ecology
  place: 7
- team: 29
  event: Entomology
  place: 4
- team: 29
  event: Experimental Design
  place: 9
- team: 29
  event: Fossils
  place: 3
- team: 29
  event: Helicopter
  place: 5
- team: 29
  event: Meteorology
  place: 8
- team: 29
  event: Metric Mastery
  place: 9
- team: 29
  event: Microbe Mission
  place: 9
- team: 29
  event: Mission Possible
  place: 1
- team: 29
  event: Optics
  place: 10
- team: 29
  event: Potions and Poisons
  place: 4
- team: 29
  event: Reach for the Stars
  place: 8
- team: 29
  event: Road Scholar
  place: 3
- team: 29
  event: Scrambler
  place: 3
- team: 29
  event: Tower
  place: 8
- team: 29
  event: Wind Power
  place: 7
- team: 29
  event: Write It Do It
  place: 9
- team: 22
  event: Air Trajectory
  place: 8
- team: 22
  event: Anatomy and Physiology
  place: 4
- team: 22
  event: Codebusters
  place: 9
- team: 22
  event: Crime Busters
  place: 6
- team: 22
  event: Disease Detectives
  place: 7
- team: 22
  event: Dynamic Planet
  place: 10
- team: 22
  event: Ecology
  place: 9
- team: 22
  event: Entomology
  place: 10
- team: 22
  event: Experimental Design
  place: 6
- team: 22
  event: Fossils
  place: 4
- team: 22
  event: Helicopter
  place: 3
- team: 22
  event: Meteorology
  place: 4
- team: 22
  event: Metric Mastery
  place: 4
- team: 22
  event: Microbe Mission
  place: 4
- team: 22
  event: Mission Possible
  place: 9
- team: 22
  event: Optics
  place: 4
- team: 22
  event: Potions and Poisons
  place: 3
- team: 22
  event: Reach for the Stars
  place: 6
- team: 22
  event: Road Scholar
  place: 5
- team: 22
  event: Scrambler
  place: 9
- team: 22
  event: Tower
  place: 2
- team: 22
  event: Wind Power
  place: 6
- team: 22
  event: Write It Do It
  place: 7
- team: 28
  event: Air Trajectory
  place: 10
- team: 28
  event: Anatomy and Physiology
  place: 6
- team: 28
  event: Codebusters
  place: 10
- team: 28
  event: Crime Busters
  place: 2
- team: 28
  event: Disease Detectives
  place: 5
- team: 28
  event: Dynamic Planet
  place: 7
- team: 28
  event: Ecology
  place: 4
- team: 28
  event: Entomology
  place: 7
- team: 28
  event: Experimental Design
  place: 4
- team: 28
  event: Fossils
  place: 9
- team: 28
  event: Helicopter
  place: 6
- team: 28
  event: Meteorology
  place: 10
- team: 28
  event: Metric Mastery
  place: 7
- team: 28
  event: Microbe Mission
  place: 7
- team: 28
  event: Mission Possible
  place: 5
- team: 28
  event: Optics
  place: 6
- team: 28
  event: Potions and Poisons
  place: 6
- team: 28
  event: Reach for the Stars
  place: 11
- team: 28
  event: Road Scholar
  participated: true
- team: 28
  event: Scrambler
  place: 5
- team: 28
  event: Tower
  place: 6
- team: 28
  event: Wind Power
  place: 3
- team: 28
  event: Write It Do It
  place: 1
- team: 32
  event: Air Trajectory
  place: 9
- team: 32
  event: Anatomy and Physiology
  place: 7
- team: 32
  event: Codebusters
  place: 8
- team: 32
  event: Crime Busters
  place: 9
- team: 32
  event: Disease Detectives
  place: 9
- team: 32
  event: Dynamic Planet
  place: 6
- team: 32
  event: Ecology
  place: 6
- team: 32
  event: Entomology
  place: 8
- team: 32
  event: Experimental Design
  place: 8
- team: 32
  event: Fossils
  place: 11
- team: 32
  event: Helicopter
  place: 4
- team: 32
  event: Meteorology
  place: 6
- team: 32
  event: Metric Mastery
  place: 8
- team: 32
  event: Microbe Mission
  place: 6
- team: 32
  event: Mission Possible
  place: 7
- team: 32
  event: Optics
  place: 7
- team: 32
  event: Potions and Poisons
  place: 9
- team: 32
  event: Reach for the Stars
  place: 10
- team: 32
  event: Road Scholar
  place: 9
- team: 32
  event: Scrambler
  place: 6
- team: 32
  event: Tower
  place: 3
- team: 32
  event: Wind Power
  place: 8
- team: 32
  event: Write It Do It
  place: 8
- team: 21
  event: Air Trajectory
  place: 4
- team: 21
  event: Anatomy and Physiology
  place: 10
- team: 21
  event: Codebusters
  place: 6
- team: 21
  event: Crime Busters
  place: 8
- team: 21
  event: Disease Detectives
  place: 8
- team: 21
  event: Dynamic Planet
  place: 8
- team: 21
  event: Ecology
  place: 10
- team: 21
  event: Entomology
  place: 3
- team: 21
  event: Experimental Design
  place: 7
- team: 21
  event: Fossils
  place: 5
- team: 21
  event: Helicopter
  place: 9
- team: 21
  event: Meteorology
  place: 7
- team: 21
  event: Metric Mastery
  place: 5
- team: 21
  event: Microbe Mission
  place: 8
- team: 21
  event: Mission Possible
  participated: false
- team: 21
  event: Optics
  place: 9
- team: 21
  event: Potions and Poisons
  place: 10
- team: 21
  event: Reach for the Stars
  place: 4
- team: 21
  event: Road Scholar
  place: 8
- team: 21
  event: Scrambler
  place: 8
- team: 21
  event: Tower
  place: 7
- team: 21
  event: Wind Power
  place: 9
- team: 21
  event: Write It Do It
  place: 10
- team: 23
  event: Air Trajectory
  participated: false
- team: 23
  event: Anatomy and Physiology
  place: 9
- team: 23
  event: Codebusters
  place: 7
- team: 23
  event: Crime Busters
  place: 10
- team: 23
  event: Disease Detectives
  participated: false
- team: 23
  event: Dynamic Planet
  place: 9
- team: 23
  event: Ecology
  participated: false
- team: 23
  event: Entomology
  place: 9
- team: 23
  event: Experimental Design
  participated: false
- team: 23
  event: Fossils
  place: 10
- team: 23
  event: Helicopter
  place: 8
- team: 23
  event: Meteorology
  place: 9
- team: 23
  event: Metric Mastery
  participated: false
- team: 23
  event: Microbe Mission
  participated: false
- team: 23
  event: Mission Possible
  place: 8
- team: 23
  event: Optics
  place: 8
- team: 23
  event: Potions and Poisons
  place: 11
- team: 23
  event: Reach for the Stars
  participated: true
- team: 23
  event: Road Scholar
  place: 10
- team: 23
  event: Scrambler
  participated: false
- team: 23
  event: Tower
  participated: false
- team: 23
  event: Wind Power
  place: 10
- team: 23
  event: Write It Do It
  place: 6
- team: 31
  event: Air Trajectory
  place: 6
- team: 31
  event: Anatomy and Physiology
  place: 11
- team: 31
  event: Codebusters
  participated: false
- team: 31
  event: Crime Busters
  participated: false
- team: 31
  event: Disease Detectives
  participated: false
- team: 31
  event: Dynamic Planet
  participated: false
- team: 31
  event: Ecology
  participated: false
- team: 31
  event: Entomology
  participated: false
- team: 31
  event: Experimental Design
  participated: false
- team: 31
  event: Fossils
  place: 7
- team: 31
  event: Helicopter
  participated: false
- team: 31
  event: Meteorology
  participated: false
- team: 31
  event: Metric Mastery
  participated: false
- team: 31
  event: Microbe Mission
  participated: false
- team: 31
  event: Mission Possible
  participated: false
- team: 31
  event: Optics
  participated: false
- team: 31
  event: Potions and Poisons
  place: 7
- team: 31
  event: Reach for the Stars
  place: 9
- team: 31
  event: Road Scholar
  place: 11
- team: 31
  event: Scrambler
  participated: false
- team: 31
  event: Tower
  place: 10
- team: 31
  event: Wind Power
  participated: false
- team: 31
  event: Write It Do It
  participated: false
- team: 27
  event: Air Trajectory
  participated: true
- team: 27
  event: Anatomy and Physiology
  participated: false
- team: 27
  event: Codebusters
  participated: false
- team: 27
  event: Crime Busters
  participated: false
- team: 27
  event: Disease Detectives
  participated: false
- team: 27
  event: Dynamic Planet
  place: 11
- team: 27
  event: Ecology
  place: 8
- team: 27
  event: Entomology
  participated: false
- team: 27
  event: Experimental Design
  participated: false
- team: 27
  event: Fossils
  participated: false
- team: 27
  event: Helicopter
  place: 10
- team: 27
  event: Meteorology
  place: 11
- team: 27
  event: Metric Mastery
  participated: false
- team: 27
  event: Microbe Mission
  participated: false
- team: 27
  event: Mission Possible
  participated: false
- team: 27
  event: Optics
  participated: false
- team: 27
  event: Potions and Poisons
  participated: false
- team: 27
  event: Reach for the Stars
  place: 7
- team: 27
  event: Road Scholar
  place: 7
- team: 27
  event: Scrambler
  participated: false
- team: 27
  event: Tower
  place: 11
- team: 27
  event: Wind Power
  participated: false
- team: 27
  event: Write It Do It
  participated: false
